CPOW(3)

NAME
cpow, cpowf, cpowl - complex power functions

SYNOPSIS
#include <complex.h>
double complex
cpow(double complex x, double complex z);
float complex
cpowf(float complex x, float complex z);
long double complex
cpowl(long double complex x, long double complex z);

DESCRIPTION
The cpow(), cpowf() and cpowl() functions compute the complex number x raised to the complex power z, with a branch cut along the negative real axis for the first argument.

RETURN VALUES
The cpow(), cpowf() and cpowl() functions return the complex number x raised to the complex power z.

SEE ALSO
cexp(3), clog(3)

STANDARDS
The cpow(), cpowf() and cpowl() functions conform to isoC-99.